View Issue Details

IDProjectCategoryView StatusLast Update
0000073WolfAdminSetup & Configurationpublic2019-01-04 18:15
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000073: Create install script
DescriptionRather than manual installation, create an installation script that creates the necessary tables for MySQL/MariaDB and SQLite3.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Activities

Timo

2019-01-04 18:06

administrator   ~0000116

Fixed in changeset 45002153c93c38fa685a644bea1f3f5d722f249b.

Related Changesets

WolfAdmin: develop/1.2.0 68a31b62

2018-02-12 13:27:23

Timo

Details Diff
First attempt at a deployment script (refs 0000073)

Current known flaws:
* only accepts default name for sqlite database (wolfadmin.db)
Affected Issues
0000073
add - deploy.sh Diff File

WolfAdmin: develop/1.1.1 ed882c58

2018-02-12 14:37:49

Timo

Details Diff
Updated copyright Affected Issues
0000073
mod - docs/INSTALL Diff File
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/admin/balancer.lua Diff File
mod - luascripts/admin/rules.lua Diff File
mod - luascripts/admin/warns.lua Diff File
mod - luascripts/commands/admin/balance.lua Diff File
mod - luascripts/commands/admin/dewarn.lua Diff File
mod - luascripts/commands/admin/enablevote.lua Diff File
mod - luascripts/commands/admin/greeting.lua Diff File
mod - luascripts/commands/admin/help.lua Diff File
mod - luascripts/commands/admin/incognito.lua Diff File
mod - luascripts/commands/admin/kickbots.lua Diff File
mod - luascripts/commands/admin/listaliases.lua Diff File
mod - luascripts/commands/admin/listlevels.lua Diff File
mod - luascripts/commands/admin/listmaps.lua Diff File
mod - luascripts/commands/admin/lock.lua Diff File
mod - luascripts/commands/admin/needbots.lua Diff File
mod - luascripts/commands/admin/plock.lua Diff File
mod - luascripts/commands/admin/punlock.lua Diff File
mod - luascripts/commands/admin/putbots.lua Diff File
mod - luascripts/commands/admin/readconfig.lua Diff File
mod - luascripts/commands/admin/resetsprees.lua Diff File
mod - luascripts/commands/admin/rules.lua Diff File
mod - luascripts/commands/admin/setlevel.lua Diff File
mod - luascripts/commands/admin/showwarns.lua Diff File
mod - luascripts/commands/admin/sprees.lua Diff File
mod - luascripts/commands/admin/stats.lua Diff File
mod - luascripts/commands/admin/unlock.lua Diff File
mod - luascripts/commands/admin/vmute.lua Diff File
mod - luascripts/commands/admin/vunmute.lua Diff File
mod - luascripts/commands/admin/warn.lua Diff File
mod - luascripts/commands/client/ac.lua Diff File
mod - luascripts/commands/client/pm.lua Diff File
mod - luascripts/commands/client/r.lua Diff File
mod - luascripts/commands/client/wolfadmin.lua Diff File
mod - luascripts/commands/commands.lua Diff File
mod - luascripts/commands/server/cannounce.lua Diff File
mod - luascripts/commands/server/cchat.lua Diff File
mod - luascripts/commands/server/ccp.lua Diff File
mod - luascripts/commands/server/ccpm.lua Diff File
mod - luascripts/commands/server/cmusic.lua Diff File
mod - luascripts/commands/server/csay.lua Diff File
mod - luascripts/db/db.lua Diff File
mod - luascripts/db/mysql.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File
mod - luascripts/game/bots.lua Diff File
mod - luascripts/game/game.lua Diff File
mod - luascripts/game/sprees.lua Diff File
mod - luascripts/game/teams.lua Diff File
mod - luascripts/game/voting.lua Diff File
mod - luascripts/main.lua Diff File
mod - luascripts/players/greetings.lua Diff File
mod - luascripts/players/stats.lua Diff File
mod - luascripts/util/bits.lua Diff File
mod - luascripts/util/constants.lua Diff File
mod - luascripts/util/debug.lua Diff File
mod - luascripts/util/events.lua Diff File
mod - luascripts/util/files.lua Diff File
mod - luascripts/util/pagination.lua Diff File
mod - luascripts/util/settings.lua Diff File
mod - luascripts/util/tables.lua Diff File
mod - luascripts/util/timers.lua Diff File
mod - luascripts/util/util.lua Diff File

WolfAdmin: develop/1.2.0 ddb2c6fc

2018-02-12 18:27:08

Timo

Details Diff
Improved deploy script (refs 0000073)

* Improved several error messages
* Fixed several bugs related to fs_homepath
* Ability to create and copy pk3
Affected Issues
0000073
mod - deploy.sh Diff File

WolfAdmin: develop/1.2.0 8ef2d130

2018-02-13 09:39:35

Timo

Details Diff
Fixed consistency in deploy script (refs 0000073) Affected Issues
0000073
mod - deploy.sh Diff File

WolfAdmin: develop/1.2.0 e66d78bd

2019-01-01 19:49:38

Timo

Details Diff
Added database config table and schema detection (refs 0000073)

* only used to store schema version for the moment.
Affected Issues
0000073
mod - database/new/mysql.sql Diff File
mod - database/new/sqlite.sql Diff File
mod - database/upgrade/1.1.0/mysql.sql Diff File
mod - database/upgrade/1.1.0/sqlite.sql Diff File
mod - luamods/wolfadmin/db/mysql.lua Diff File
mod - luamods/wolfadmin/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 45002153

2019-01-04 18:09:26

Timo

Details Diff
Deploy script update, added notice on startup (fixes 0000073) Affected Issues
0000073
mod - deploy.sh Diff File

Issue History

Date Modified Username Field Change
2017-01-15 16:15 Timo New Issue
2017-01-15 16:17 Timo Category General => Setup & Configuration
2018-02-12 13:58 Timo Changeset attached => WolfAdmin develop/1.2.0 68a31b62
2018-02-12 18:27 Timo Changeset attached => WolfAdmin develop/1.2.0 ddb2c6fc
2018-02-13 09:39 Timo Changeset attached => WolfAdmin develop/1.2.0 8ef2d130
2018-12-31 11:18 Timo Assigned To => Timo
2018-12-31 11:18 Timo Status new => assigned
2019-01-01 19:47 Changeset attached => WolfAdmin develop/1.2.0 e66d78bd
2019-01-04 18:06 Timo Changeset attached => WolfAdmin develop/1.2.0 45002153
2019-01-04 18:06 Timo Note Added: 0000116
2019-01-04 18:06 Timo Status assigned => resolved
2019-01-04 18:06 Timo Resolution open => fixed
2019-01-04 18:15 Timo Fixed in Version => 1.2.0